# Uses of Enum Class
org.springframework.expression.spel.ast.TypeCode

Packages that use TypeCode
Package
Description
org.springframework.expression.spel.ast
SpEL's abstract syntax tree.

## Uses of TypeCode in org.springframework.expression.spel.ast

Methods in org.springframework.expression.spel.ast that return TypeCode
Modifier and Type
Method
Description
`static TypeCode`
TypeCode.`forClass(Class<?> clazz)`
`static TypeCode`
TypeCode.`forName(String name)`
`static TypeCode`
TypeCode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TypeCode[]`
TypeCode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.